// AdjustThread.h: Schnittstelle für die Klasse MotorThread.
//
//////////////////////////////////////////////////////////////////////

#ifndef ADJUSTTHREAD_H
#define ADJUSTTHREAD_H


#include <qthread.h>

class AMCMirrorPanel;

class AdjustThread : public QThread
{

public:
	AdjustThread( QObject* p_pReceiver );
	virtual ~AdjustThread();

	void setPanel( AMCMirrorPanel* p_pPanel );
	void setLaser( bool p_zOn ) { m_zOn = p_zOn; };
	AMCMirrorPanel* getPanel() { return m_pPanel; };

protected:
	virtual void run();
private:
	AMCMirrorPanel* m_pPanel;
	QObject*				m_pReceiver;
	bool						m_zOn;
};

#endif
